Jump to content
lock042

Bug de Siril 0.99.4 sur macOS

Recommended Posts

Amis (ou pas) utilisateurs de mac.

Désolé je viens de me rendre compte que le build avait un problème. Il n'utilise pas le multithread dans la librairie cfitsio. Du coup vous avez un siril lent ....

Très lent.

 

J'en suis bien désolé et j'essaye de corriger ça pour la 0.99.6.

Share this post


Link to post
Share on other sites

C'est un scandale ! 😉

Bon ben en fait, il rame tellement mon macbook que je ne me suis aperçu de rien... 😭 

  • Haha 2

Share this post


Link to post
Share on other sites

Bonjour,

 

Je me présente, nouvel utilisateur / membre passionné de photo depuis des années je viens juste de découvrir les photos de nuit. Je suis tombé sur SIRIL pour faire le traitement de mes premières séries de photos du ciel profond: j'adore. Je suis donc un réel newbie et commence à apprendre de mes erreurs. :p Merci à la communauté pour ce logiciel exceptionnel!

 

Effectivement je confirme avec la 0.99.4 que je n'ai qu'un seul processeur utilisé pour les calculs.

 

Également, Je ne sais si c'est le bon endroit mais est-ce moi ou d'autres personnes rencontre une interface super lente avec la version 0.99.4 sur MacOS (Catalina)?

 

Bonne journée,

 

Manu

Share this post


Link to post
Share on other sites

Sous Mac l'interface est super lente avec les systèmes HiDPI. Mais c'est pas siril le problème mais gtk3. On retrouve le problème avec Inkscape, rawtherapee, etc.... 

Share this post


Link to post
Share on other sites

@lock052 merci bcp pour l'information. je vais regarder cela de plus près vis à vis de GTK3.

Share this post


Link to post
Share on other sites

@lock052 je confirme: en lançant l'application en mode "basse résolution" c'est beaucoup mieux!

  • J'aime 1

Share this post


Link to post
Share on other sites
Le 20/09/2020 à 19:40, ManuB a dit :

@lock052 je confirme: en lançant l'application en mode "basse résolution" c'est beaucoup mieux!

@ManuB

On fait comment pour lancer Siril en mode "basse resolution"?

Share this post


Link to post
Share on other sites

Merci 

 

Ca me rassure, suite à ta réponse ici 

Je pensais avoir un soucis sur l'ordi 🤣 

Share this post


Link to post
Share on other sites

Bonjour à tous,

J'essaye ce jour la version 0.99.4 et j'ai un bug qui bloque les scripts

Je définis un dossier de travail dans lequel je mets les sous dossiers brutes, offsets, darks, flats

Chaque sous dossier contient une dizaine de fichiers au format .cr3

Je demande, par exemple, le script Pretraitement_APN

Sur la sortie console, le script va jusqu'à #Création du master-offset, puis sur la ligne suivante qui sort en rouge :

La commande "requires" est nécessaire en début du fichier script...

 

Je suis sous Mac OS Catalina V 10.15.7

 

 

2020-10-23 12.38.18.jpeg

Share this post


Link to post
Share on other sites

Bonjour,

 

"It's not a bug, it's a feature"

 

Avec les nouvelles versions "beta" de Siril tu doit ajouter la ligne suivante au début de tes scripts (c'est valable pour les versions 0.99.4 ou .6 ou .7, la version 9.99.4 étant la 1ere version beta dispo pour un large public

  requires 0.99.4.0 

Share this post


Link to post
Share on other sites

Il faut surtout ne plus utiliser les vieux scripts. J'ai ajouté ceci dans ce but.

 

Donc oui, ce n'est pas un bug mais un comportement voulu.

il y a 15 minutes, keymlinux a dit :

requires 0.99.4.0

et c'est requires 0.99.4

 

Mais attention, certains scripts ont besoin de 0.99.6. Bref, quand on fait ça faut savoir ce que l'on fait.

Edited by lock042

Share this post


Link to post
Share on other sites
Il y a 4 heures, lock042 a dit :

et c'est requires 0.99.4

Alors il faut en parler à @m27trognondepomme. Le "requires 0.99.4.0" c'est ce que génère Sirilic dans les scripts...

Share this post


Link to post
Share on other sites

Ça marche bien et je suis content du résultat, mais c'est vrai que c'est long... vivement la prochaine version. 👍

Share this post


Link to post
Share on other sites

J'ai ajouté le texte requires 0.99.4.0 dans le script et j'ai lançé la version 99.4

Le script se lance et fait automatiquement les conversions des fichiers offsets, darks, flats... là c'est nettement plus rapide qu'avant. puis le script aborde la conversion/traitement/alignement/empilement des bruts, et là, même un escargot va plus vite ! 😉

Le résultat final correspond bien à ce que j'en attendais et c'est ce que j'ai voulu dire plus haut.

Ce sera encore mieux lorsque j'aurai compris ce qu'apportent exactement Drizzle et Correction Cosmétique

Share this post


Link to post
Share on other sites

Oui mais c'est ce que je dis. Il faut éviter. Si ces scripts n'avaient pas le mot clé c'est parce qu'ils sont obsolètes avec des options dépréciees. Il faut utiliser les scripts à jour !! 

 

C'est typiquement le comportement que j'ai voulu éviter en ajoutant ce genre de check.

Edited by lock042

Share this post


Link to post
Share on other sites

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.